Problem with System.ServiceModel Versions

In my project directory I have one project as an empty android application. This project is just able to use the reference Sytem.ServiceModel in the Version 2.0.5.0
The Problem is, that I try to connect my App project with a server interface, means WCF-Service-Lbrary. The Service Library is just able to use with .NET Framework 4.6.1 the reference System.ServiceModel in Version 4.0.0.0 .
The point is that I got a error message in my App-project, which says, that I should add the reference to the assembly "System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089".

I already tried to get a lower Version of the .Net Framework. But the lowest I can get is 3.0 which works with System.ServiceModel 3.0.0.0 .
Are there any work arounds or something else I can try??

I'm using Visual Studio 2017 Community.

Answers

Sign In or Register to comment.